v2.6.7

Fixed issue with back to top button not working correctly

Updated LSVR Framework plugin to 1.9.1

Updated LSVR Directory plugin to 1.8.2

Updated WPBakery Page Builder plugin to 6.9.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, inc/core-functions.php, inc/tgm-settings.php, inc/plugins

------------------------------

v2.6.6

Updated WPBakery Page Builder plugin to 6.8.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

------------------------------

v2.6.5

Fixed issue with the child theme so its style.css is now properly loaded after the color scheme. To make the change on the existing installation, overwrite line 10 in functions.php of your child theme with this line:

add_action( 'wp_enqueue_scripts', 'lsvr_pressville_child_enqueue_parent_styles', 20 );

Updated LSVR Events plugin to 1.9.6

Updated LSVR Galleries plugin to 1.7.2

Updated child theme to version 2.0.1

Changed core files:
style.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.6.4

Primary header menu animation is now disabled by default to make it more responsive, you can enable it by adding the following code to your child theme:

add_filter( 'lsvr_pressville_header_menu_primary_animated', 'lsvr_pressville_child_header_menu_primary_animated_enable' );
function lsvr_pressville_child_header_menu_primary_animated_enable() {
	return true;
}

Changed core files:
style.css, inc/frontend-functions.php

------------------------------

v2.6.3

Fixed minor issues with theme translation files

Changed core files:
style.css, languages, inc/classes/tgm-plugin-activation.php

------------------------------

v2.6.2

Improved PHP 8 compatibility

Updated LSVR Pressville Toolkit plugin to 1.9.8

Updated LSVR Elements plugin to 1.4.8

Updated LSVR Events plugin to 1.9.5

Updated LSVR Framework plugin to 1.8.5

Updated LSVR Galleries plugin to 1.7.1

Updated LSVR 3rd Party Toolkit to 1.2.3

Various small fixes

Changed core files:
style.css, inc/classes/class-tgm-plugin-activation.php, inc/tgm-settings.php, inc/plugins

------------------------------

v2.6.1

Improved compatibility with WordPress 5.8

Updated LSVR Framework plugin to 1.8.4

Updated LSVR Pressville Toolkit plugin to 1.9.7

Changed core files:
style.css, functions.php, inc/tgm-settings.php, inc/plugins

------------------------------

v2.6.0

Mousing between primary header menu submenus on desktop devices should now be easier.
If you don't like this functionality, you can disable it by adding the following code to your child theme:
add_filter( 'lsvr_pressville_header_menu_primary_animated', 'lsvr_pressville_header_menu_primary_animated_disable' );
function lsvr_pressville_header_menu_primary_animated_disable() {
	return false;
}

Updated WPBakery Page Builder plugin to 6.7.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, assets/js, inc/frontend-functions.php

------------------------------

v2.5.9

Fixed issue in Pressville Posts element with chosen category not working properly.

Updated LSVR Pressville Toolkit plugin to 1.9.6

Changed core files:
style.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.8

Fixed issue with LSVR Posts widget and Pressville Posts element so the sticky posts will now show at the top as they should.

Updated LSVR Pressville Toolkit plugin to 1.9.5

Updated LSVR Elements plugin to 1.4.7

Changed core files:
style.css, languages, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.7

Fixed issue with Pressville Posts element and LSVR Posts widget.

Updated LSVR Elements plugin to 1.4.6

Updated LSVR Pressville Theme Toolkit plugin to 1.9.4

Changed core files:
style.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.6

Fixed issue with the displayed number of external document attachments in admin.

Updated LSVR Documents plugin to 1.7.2

Updated LSVR Elements plugin to 1.4.5

Updated LSVR Pressville Theme Toolkit plugin to 1.9.3

Updated WPBakery Page Builder plugin to 6.6.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.5

You can now use CURRENT_YEAR variable in the footer text field to display the current year.

Updated LSVR Events plugin to 1.9.3

Updated LSVR Framework plugin to 1.8.3

Changed core files:
style.css, languages, inc/customizer-config.php, inc/tgm-settings.php, inc/plugins

Changed template files:
template-parts/footer/text.php

------------------------------

v2.5.4

Updated LSVR Elements plugin to 1.4.4

Changed core files:
style.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.3

Improved compatibility with WordPress 5.6

Updated LSVR 3rd Party Toolkit plugin to 1.1.1

Updated LSVR Elements plugin to 1.4.3

Updated LSVR Events plugin to 1.9.2

Updated WPBakery Page Builder plugin to 6.5.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, assets, inc/tgm-settings.php, inc/plugins

------------------------------

v2.5.2

Fixed issue with LSVR Event Calendar widget displaying wrong day numbers in some cases

Added option to disable masonry layout on gallery detail page (you can toggle it under Appearance / Customize / Galleries)

Fixed issues with structured data for improved SEO

Updated LSVR Events plugin to 1.9.1

Updated LSVR Framework plugin to 1.8.2

Updated WPBakery Page Builder plugin to 6.4.2 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files:
style.css, assets, languages, inc/actions.php, inc/lsvr-directory/actions.php, inc/lsvr-documents/actions.php, inc/lsvr-events/actions.php, inc/lsvr-galleries/actions.php, inc/lsvr-galleries/customzer-config.php, inc/lsvr-galleries/frontend-functions.php, inc/lsvr-notices/actions.php, inc/lsvr-people/actions.php, inc/tgm-settings.php, inc/plugins

Changed template files:
template-parts/lsvr_gallery/singe-images.php

------------------------------

v2.5.1

Fixed issue with Appearance / Customize / Directory / Display Featured Image on Detail option. The listing detail featured image will can be correctly toggled on and off only if the listing doesn't have gallery. If you want to have a featured image even for listings with the gallery, just add the image into post content.

Updated WPBakery Page Builder plugin to 6.4.1 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, inc/lsvr-directory/actions.php

------------------------------

v2.5.0

Added LSVR Event Calendar widget

Updated LSVR 3rd Party Toolkit plugin to 1.1.0

Updated LSVR Events plugin to 1.9.0

Updated LSVR Framework plugin to 1.8.0

Various small fixes

Changed core files:
style.css, assets, rtl.css, inc/actions.php, inc/custom-colors-template.php, inc/editor-custom-colors-template.php, inc/frontend-functions.php, inc/tgm-settings.php, inc/plugins

------------------------------

v2.4.1

Fixed issue with Pressville Posts, Pressville Galleries, Pressville Events, Pressville Directory elements, when clicking on prev/next slide buttons resulted in displaying of the horizontal browser scrollbar when browsing in certain resolutions.

Removed redundant arrow icon from the Pressville Sitemap element.

Updated LSVR Pressville Theme Toolkit plugin to 1.9.2

Changed core files:
style.css, assets, rtl.css, inc/tgm-settings.php, inc/plugins

------------------------------

v2.4.0

Various minor code fixes to improve the accessibility

Fixed issue with incorrect dates for some events which repeat on specific week days

Updated LSVR Events plugin to 1.8.1

Updated LSVR People plugin to 1.8.2

Updated LSVR Pressville Theme Toolkit plugin to 1.9.1

Updated WPBakery Page Builder plugin to 6.3.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files:
style.css, assets, functions.php, inc/frontend-functions.php, inc/tgm-settings.php, inc/plugins

Removed core files:
inc/lsvr-pressville-header-menu-walker.php

New core files:
inc/lsvr-pressville-header-menu-primary-walker.php
inc/lsvr-pressville-header-menu-secondary-walker.php

Changed template files:
template-parts/footer/social-links.php
template-parts/header/menu-primary.php
template-parts/header/menu-secondary.php
template-parts/lsvr_listing/single-social-links.php

------------------------------

v2.3.2

Fixed various minor compatibility issues with WordPress 5.5

Updated LSVR Framework plugin to 1.7.1

Changed core files:
style.css, assets, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip

------------------------------

v2.3.1

Hotfix for the incorrect theme version number

Changed core files:
style.css

------------------------------

v2.3.0

Opening hours in directory listing posts can now be split into up to three time periods to accommodate (lunch) breaks.

Updated LSVR Framework plugin to 1.7.0

Various small fixes

Changed core files:
style.css, assets, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip

Changed template files:
template-parts/lsvr_listing/single-opening-hours.php

------------------------------

v2.2.5

Fixed pagination issues on event archive page when using specific URL params.

LSVR Posts widget can now display posts with specific tags.

Fixed issues with document archive page when using excluded categories feature.

Fixed issue with LSVR Documents widget when using the excluded categories feature.

LSVR Document Categories widget now won't display excluded categories.

Updated LSVR Documents plugin to 1.7.1

Updated LSVR Elements plugin to 1.4.2

Updated LSVR Framework plugin to 1.6.3

Updated WPBakery Page Builder plugin to 6.2.0 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files:
style.css, assets, inc/lsvr-events/lsvr-events.php, inc/lsvr-documents/actions.php, inc/tgm-settings.php, inc/plugins/lsvr-elements.zip

Changed template files:
template-parts/archive-categories.php

------------------------------

v2.2.4

Added option to center the logo and title (go to Appearance / Customize / Header and enable "Center Logo")

Added wp_body_open hook to improve compatibility with some 3rd party plugins.

The WordPress 5.2 is now the minimum supported version. Please update your WordPress installation if you are using the older version before you update the theme.

Changed core files:
style.css, assets, languages, inc/customizer-config.php, inc/frontend-functions.php

Changed template files:
header.php

------------------------------

v2.2.3

Fixed issue with maps on HTTPS sites when using Open Street Map map provider

Various small fixes

Changed core files:
style.css, assets

Changed template files:
template-parts/lsvr_event/single-map.php
template-parts/lsvr_listing/single-map.php

------------------------------

v2.2.2

Various small fixes

Changed core files:
style.css, assets, inc/core-functions.php

Changed template files:
template-parts/lsvr_event/single-map.php

------------------------------

v2.2.1

Fixed a minor PHP notice error message

Changed core files:
style.css, inc/lsvr-events/actions.php

------------------------------

v2.2.0

Added support for alternative map providers for built-in directory and event location maps. You can choose a provider under Appearance / Customize / Map Settings.

Appearance / Customize / Google Maps was changed to Appearance / Customize / Map Settings

If you are currently using the built-in maps functionality (in Directory or Events), go to Appearance / Customize / Map Settings and set Maps Provider option to "Google Maps" (or feel free to switch to a different provider).

Updated LSVR 3rd Party Toolkit plugin to 1.0.1

Updated LSVR Directory plugin to 1.8.0

Updated LSVR Events plugin to 1.8.0

Updated LSVR Framework plugin to 1.6.2

Updated documentation

Various small fixes

Changed core files:
style.css, assets, inc/actions.php, inc/core-functions.php, inc/customizer-config.php, inc/lsvr-directory/actions.php, inc/lsvr-directory/ajax-directory-map.php, inc/lsvr-directory/customizer-config.php, inc/lsvr-events/actions.php, inc/lsvr-events/customizer-config.php, inc/tgm-settings.php, inc/plugins/lsvr-3rd-party-toolkit.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-framework.zip

Changed template files:
template-parts/lsvr_event/single-map.php
template-parts/lsvr_listing/archive-map.php
template-parts/lsvr_listing/single-map.php

------------------------------

v2.1.0

You can now define a title for external document attachments

Fixed issues with header search on multilingual sites running WPML

All LSVR widgets and shortcodes now support templates, which means you can easily override their frontend code via a child theme. Simply copy the original widget/shortcode template file to your child theme and edit its code there. Each template has to be saved under a correct folder in your child theme folder.

For widgets:
[plugin-folder-name]/templates/widgets/[widget-template-file]

For shortcodes:
[plugin-folder-name]/templates/shortcodes/[shortcode-template-file]

For example, if you want to override code for the LSVR Featured Post widget, open wp-content/plugins/lsvr-elements/templates/widgets folder and copy post-featured.php file into your child theme folder under lsvr-elements/templates/widgets folder.

Updated LSVR Directory plugin to 1.7.0

Updated LSVR Documents plugin to 1.7.0

Updated LSVR Elements plugin to 1.4.1

Updated LSVR Events plugin to 1.7.0

Updated LSVR Framework plugin to 1.6.1

Updated LSVR Galleries plugin to 1.7.0

Updated LSVR Notices plugin to 1.6.1

Updated LSVR People plugin to 1.8.0

Updated LSVR Pressville Theme Toolkit plugin to 1.9.0

Various small fixes

Updated documentation

Changed core files:
style.css, assets, inc/ajax-search.php, inc/classes/lsvr-pressville-header-menu-walker.php, inc/lsvr-documents/classes/lsvr-pressville-document-categorized-attachments.php, inc/tgm-settings.php, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-pressville-toolkit.zip

Changed template files:
search.php
searchform.php
template-parts/archive-categories.php
template-parts/breadcrumbs.php
template-parts/footer/social-links.php
template-parts/header/mobile-toggle.php
template-parts/header/search.php
template-parts/lsvr_document/archive-categorized-attachments.php
template-parts/lsvr_document/attachments.php
template-parts/lsvr_event/single-address.php
template-parts/lsvr_event/single-date.php
template-parts/lsvr_listing/single-contact-info.php
template-parts/lsvr_listing/single-gallery.php
template-parts/lsvr_listing/single-social-links.php
template-parts/lsvr_person/contact-info.php
template-parts/lsvr_person/social-links.php

------------------------------

v2.0.5

Updated LSVR Pressville Theme Toolkit plugin to 1.8.2

Updated Envato Market plugin to 2.0.3

Updated LSVR Framework plugin to 1.5.2

Updated WPBakery Page Builder plugin to 6.1 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files:
style.css, assets, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/envato-market.zip

------------------------------

v2.0.4

Fixed issues with block editor styles

Changed core files:
style.css, assets

------------------------------

v2.0.3

Fixed block editor issue in WordPress 5.3

Updated LSVR Framework plugin to 1.5.1

Various small fixes

Changed core files:
style.css, assets, inc/custom-colors-template.php, inc/editor-custom-colors-template.php, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip

------------------------------

v2.0.2

Fixed issue with missing bbPress posts from search results

Fixed issue with some strings not being translatable

Added fifth custom language option to language switcher

Changed core files:
style.css, languages, assets/css/skins, assets/sass/skins, inc/core-functions.php, inc/customizer-config.php, inc/bbpress/actions.php,

Changed template files:
template-parts/archive-post-meta.php
template-parts/single-post-meta.php
template-parts/lsvr_gallery/archive-post-meta.php

------------------------------

v2.0.1

Fixed bug with blank category description box for categories without description on default archive pages

Updated LSVR People plugin to 1.7.1

Updated LSVR Pressville Toolkit plugin to 1.8.1

Various small fixes

Changed core files:
style.css, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/tgm-settings.php, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-pressville-toolkit.zip

Changed template files:
template-parts/archive-category-description.php

------------------------------

v2.0.0

IMPORTANT: this update contains a lot of changes to many template files. If you are overriding any of the theme template files (e.g. header.php, footer.php, etc.) via a child theme, please see the complete changelog (http://assets.lsvr.sk/pressville.wp/changelog.txt) and update your child theme templates accordingly.

Improved accessibility for screen readers

Added options to display list of categories for standard post archive and all LSVR post type archives

Added options to display active category description for standard post category archives and all LSVR post type category archives

Added custom fields for directory listing and person post contact info and social links.

Changed the layout of event detail page. The address is now displayed right under featured image with date and time.

Some sections under Appearance / Customize were rearranged to improve clarity.

Updated child theme. To update your existing child theme, open wp-content/themes/pressville-child/functions.php (alternatively, you can access this file directly via admin under Appearance / Editor) and replace the line 22 with this code:

wp_enqueue_style( 'lsvr-pressville-child-style', get_stylesheet_directory_uri() . '/style.css', array( 'lsvr-pressville-general-style' ), $child_version );

If you are running the RTL version, replace also line 26 with the following code:

wp_enqueue_style( 'lsvr-pressville-rtl-style', get_template_directory_uri() . '/rtl.css', array( 'lsvr-pressville-general-style' ), $parent_version );

Fixed various small issues

Updated LSVR Directory plugin to 1.6.0

Updated LSVR Documents plugin to 1.6.1

Updated LSVR Elements plugin to 1.3.2

Updated LSVR Events plugin to 1.6.1

Updated LSVR Galleries plugin to 1.6.2

Updated LSVR People plugin to 1.7.0

Updated LSVR Pressville Toolkit plugin to 1.8.0

Updated WPBakery Page Builder plugin to 6.0.5 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Changed core files:
style.css, languages, assets, rtl.css, functions.php, inc/actions.php, inc/core-functions.php, inc/customizer-config.php, inc/custom-colors-template.php, inc/frontend-functions.php, inc/classes/lsvr-pressville-header-menu-walker.php, inc/bbpress/actions.php, inc/lsvr_document/classes/lsvr-pressville-document-categorized-attachments.php, inc/lsvr_document/actions.php, inc/lsvr_document/cutomizer-config.php, inc/lsvr_document/lsvr_documents.php, inc/lsvr-notices/actions.php, inc/lsvr-notices/lsvr-notices.php, inc/lsvr-notices/customizer-config.php, inc/lsvr-people/actions.php, inc/lsvr-people/customizer-config.php, inc/lsvr-people/lsvr-people.php, inc/lsvr-galleries/actions.php, inc/lsvr-galleries/customizer-config.php, inc/lsvr-galleries/lsvr-galleries.php, inc/lsvr-events/actions.php, inc/lsvr-events/customizer-config.php, inc/lsvr-events/lsvr-events.php, inc/lsvr-events/frontend-functions.php, inc/lsvr-directory/actions.php, inc/lsvr-directory/customizer-config.php, inc/lsvr-directory/lsvr-directory.php, inc/lsvr-directory/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-townpress-toolkit.zip

New core files:
inc/deprecated.php, inc/lsvr-directory/deprecated.php, inc/lsvr-documents/deprecated.php, inc/lsvr-events/deprecated.php, inc/lsvr-galleries/deprecated.php, inc/lsvr-notices/deprecated.php, inc/lsvr-people/deprecated.php

Removed core files:
inc/lsvr_documents/frontend-functions.php

Deprecated core functions:
lsvr_pressville_get_blog_archive_layout
lsvr_pressville_get_breadcrumbs
lsvr_pressville_get_document_archive_layout
lsvr_pressville_get_event_archive_layout
lsvr_pressville_get_gallery_archive_layout
lsvr_pressville_get_notice_archive_layout
lsvr_pressville_get_page_sidebar_id
lsvr_pressville_get_page_sidebar_position
lsvr_pressville_get_person_archive_layout
lsvr_pressville_has_narrow_content
lsvr_pressville_has_page_sidebar
lsvr_pressville_the_back_to_top_button
lsvr_pressville_the_document_attachments
lsvr_pressville_the_document_categorized_attachments
lsvr_pressville_the_event_archive_categories
lsvr_pressville_the_event_archive_filter
lsvr_pressville_the_event_archive_pagination
lsvr_pressville_the_event_location_map
lsvr_pressville_the_event_post_archive_thumbnail
lsvr_pressville_the_event_post_archive_timeline_thumbnail
lsvr_pressville_the_event_recurrence_pattern
lsvr_pressville_the_event_upcoming_occurrences
lsvr_pressville_the_header_languages
lsvr_pressville_the_header_languages_mobile
lsvr_pressville_the_header_mobile_toggle
lsvr_pressville_the_header_search
lsvr_pressville_the_header_titlebar_background
lsvr_pressville_the_header_titlebar_overlay
lsvr_pressville_the_listing_archive_map
lsvr_pressville_the_listing_archive_thumbnail
lsvr_pressville_the_listing_contact_info
lsvr_pressville_the_listing_map
lsvr_pressville_the_listing_map_link
lsvr_pressville_the_listing_opening_hours
lsvr_pressville_the_listing_social_links
lsvr_pressville_the_gallery_post_archive_thumbnail
lsvr_pressville_the_post_archive_categories
lsvr_pressville_the_post_categories
lsvr_pressville_the_post_tags
lsvr_pressville_the_tax_term_description

Changed template files:
archive-lsvr_document.php
archive-lsvr_event.php
archive-lsvr_gallery.php
archive-lsvr_listing.php
archive-lsvr_notice.php
archive-lsvr_person.php
bbpress.php
comments.php
header.php
footer.php
index.php
page.php
search.php
searchform.php
sidebar.php
single.php
single-lsvr_document.php
single-lsvr_event.php
single-lsvr_gallery.php
single-lsvr_listing.php
single-lsvr_notice.php
single-lsvr_person.php
page-templates/default-without-title.php
page-templates/fullwidth-without-title.php
page-templates/fullwidth.php
page-templates/narrow.php
page-templates/sidebar-left.php
page-templates/sidebar-right.php
template-parts/breadcrumbs.php
template-parts/main-begin.php
template-parts/main-end.php
template-parts/blog/archive-layout-default.php
template-parts/blog/archive-layout-grid.php
template-parts/footer/social-links.php
template-parts/header/menu-primary.php
template-parts/header/menu-secondary.php
template-parts/header/navbar.php
template-parts/header/search.php
template-parts/header/titlebar.php
template-parts/header/topbar.php
template-parts/lsvr_document/archive-layout-default.php
template-parts/lsvr_document/archive-layout-categorized-attachments.php
template-parts/lsvr_event/archive-layout-default.php
template-parts/lsvr_event/archive-layout-grid.php
template-parts/lsvr_event/archive-layout-timeline.php
template-parts/lsvr_gallery/archive-layout-default.php
template-parts/lsvr_gallery/archive-layout-grid.php
template-parts/lsvr_listing/archive-layout-default.php
template-parts/lsvr_listing/archive-layout-grid.php
template-parts/lsvr_notice/archive-layout-default.php
template-parts/lsvr_person/archive-layout-default.php
template-parts/lsvr_person/contact-info.php
template-parts/lsvr_person/social-links.php

New template files:
template-parts/accessibility-links.php
template-parts/archive-categories.php
template-parts/archive-category-description.php
template-parts/archive-post-meta.php
template-parts/archive-post-thumbnail.php
template-parts/single-navigation.php
template-parts/single-post-content.php
template-parts/single-post-footer.php
template-parts/single-post-meta.php
template-parts/main-header.php
template-parts/footer/back-to-top-button.php
template-parts/header/branding.php
template-parts/header/languages.php
template-parts/header/languages-mobile.php
template-parts/header/mobile-toggle.php
template-parts/header/titlebar-background.php
template-parts/header/search.php
template-parts/header/search-filter.php
template-parts/lsvr_document/attachments.php
template-parts/lsvr_event/archive-filter.php
template-parts/lsvr_event/archive-pagination.php
template-parts/lsvr_event/archive-post-thumbnail.php
template-parts/lsvr_event/archive-timeline-post-thumbnail.php
template-parts/lsvr_event/single-address.php
template-parts/lsvr_event/single-date.php
template-parts/lsvr_event/single-info.php
template-parts/lsvr_event/single-map.php
template-parts/lsvr_event/single-upcoming-occurrences.php
template-parts/lsvr_gallery/archive-post-meta.php
template-parts/lsvr_gallery/archive-post-thumbnail.php
template-parts/lsvr_listing/archive-map.php
template-parts/lsvr_listing/single-addressmap.php
template-parts/lsvr_listing/single-contact-info.php
template-parts/lsvr_listing/single-gallery.php
template-parts/lsvr_listing/single-map.php
template-parts/lsvr_listing/single-opening-hours.php
template-parts/lsvr_listing/single-social-links.php

Removed template files:
template-parts/blog/archive-header.php
template-parts/blog/single-navigation.php
template-parts/lsvr_document/archive-header.php
template-parts/lsvr_event/archive-header.php
template-parts/lsvr_gallery/archive-header.php
template-parts/lsvr_listing/archive-header.php
template-parts/lsvr_notice/archive-header.php
template-parts/lsvr_person/archive-header.php

------------------------------

v1.10.0

Theme now supports Elementor plugin - a modern drag & drop page builder. You can download it from the official WordPress plugins repository https://wordpress.org/plugins/elementor

Added options for custom social links under Appearance / Customize / Social Links

Added LSVR 3rd Party Toolkit plugin which now handles the support for the Elementor plugins and the WPBakery Page Builder plugin. If you are using the default WordPress block editor (Gutenberg) then you do not have to install it.

Fixed issue when draft and private events were displayed on the frontend

Updated LSVR Directory plugin to 1.5.0

Updated LSVR Documents plugin to 1.6.0

Updated LSVR Elements plugin to 1.3.0

Updated LSVR Events plugin to 1.6.0

Updated LSVR Framework plugin to 1.5.0

Updated LSVR Galleries plugin to 1.6.0

Updated LSVR Notices plugin to 1.5.0

Updated LSVR People plugin to 1.6.0

Updated LSVR Pressville Toolkit plugin to 1.7.0

Updated WPBakery Page Builder plugin to 6.0.3 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files: style.css, style.scss, languages, assets/css/skins, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/core-functions.php, inc/custom-colors-template.php, inc/customizer-config.php, inc/editor-custom-colors-template.php, inc/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-notices.zip

New core files: inc/plugins/lsvr-3rd-party-toolkit.zip

Removed core functions:
lsvr_pressville_the_footer_social_links
lsvr_pressville_the_footer_text

Changed template files:
footer.php
template-parts/lsvr_event/archive-layout-default.php
template-parts/lsvr_event/archive-layout-grid.php

New template files:
template-parts/footer/social-links.php
template-parts/footer/text.php

------------------------------

v1.9.0

Added custom fields for person contact info and social links. The Skype social link was removed, but you can add it via new custom fields.

Added Archive Order option for notices, people and galleries archive

Added Posts Per Page option for person post archive

Added Order option for LSVR Notices and LSVR Documents widgets and Pressville Galleries element

Added option to change number of search results on search results page (Appearance / Customize / Misc)

Updated LSVR Pressville Toolkit plugin to 1.6.0

Updated LSVR Framework plugin to 1.4.5

Updated LSVR Elements plugin to 1.2.4

Updated LSVR Notices plugin to 1.4.0

Updated LSVR Galleries plugin to 1.5.0

Updated LSVR People plugin to 1.5.1

Updated WPBakery Page Builder plugin to 6.0.3 (learn how to update it https://themeforest.net/item/pressville-municipal-wordpress-theme/19949423/faqs/32830)

Various small fixes

Changed core files: style.css, style.scss, assets/css/skins, inc/actions.php, inc/custom-colors-template.php, inc/customizer-config.php, inc/frontend-functions.php, inc/metaboxes-config.php, inc/lsvr-directory/customizer-config.php, inc/lsvr-documents/actions.php, inc/lsvr-documents/customizer-config.php, inc/lsvr-events/customizer-config.php, inc/lsvr-galleries/ actions.php, inc/lsvr-galleries/customizer-config.php, inc/lsvr-notices/actions.php, inc/lsvr-notices/customizer-config.php, inc/lsvr-people/actions.php, inc/lsvr-people/customizer-config.php, inc/lsvr-people/lsvr-people.php, inc/tgm-settings.php, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-pressville-toolkit.zip

Changed template files:
template-parts/lsvr_person/archive-layout-default.php
template-parts/lsvr_person/contact-info.php
template-parts/lsvr_person/social-links.php

------------------------------

v1.8.0

Added random order option for the default Directory archive

Added order options (including random order) for the LSVR Directory widget and Pressville Directory element

Fixed issue with missing option to change the post author for LSVR custom post types

Added option to display post excerpt on search results page (Appearance / Customize / Misc / Search Results Excerpt)

LSVR Featured Event widget should now display only upcoming events

Function lsvr_pressville_the_person_contact_info was removed and its functionality was moved into a template-parts/lsvr_person/contact-info.php file for easier customization

Function lsvr_pressville_the_person_social_links was removed and its functionality was moved into a template-parts/lsvr_person/social-link.php file for easier customization

Function lsvr_pressville_the_gallery_images was removed and its functionality was moved into a template-parts/lsvr_gallery/single-images.php file for easier customization

Updated LSVR Pressville Theme Toolkit plugin to 1.5.2

Updated LSVR Directory plugin to 1.4.3

Updated LSVR Documents plugin to 1.4.3

Updated LSVR Events plugin to 1.5.6

Updated LSVR Galleries plugin to 1.4.2

Updated LSVR Notices plugin to 1.3.2

Updated LSVR People plugin to 1.4.2

Various small fixes

Changed files: style.css, style.scss, search.php, languages, single-lsvr_person.php, single-lsvr_gallery.php, inc/actions.php, inc/customizer-config.php, inc/lsvr-people/frontend-functions.php, inc/lsvr-galleries/frontend-functions.php, template-parts/lsvr_person/archive-layout-default.php, template-parts/lsvr_gallery/archive-layout-default.php, template-parts/lsvr_gallery/archive-layout-grid.php, inc/tgm-settings.php, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-pressville-toolkit

New files: assets/js/pressville-third-party-scripts.min.js, template-parts/lsvr_person/contact-info.php, template-parts/lsvr_person/social-links.php, template-parts/lsvr_gallery/single-images.php

------------------------------

v1.7.4

Added an option to limit the number of document post attachments displayed on the default document archive page. Use the Attachments Per Post option under Appearance / Customize / Documents.

Added "Enable Large Header On Home" option so you can toggle the large header on the front page.

Removed "Gutenberg Is Disabled" option from Appearance / Customize / Misc. The theme should now automatically work correctly whether you are using the Gutenberg editor or not.

Updated LSVR Framework plugin to 1.4.2

Updated LSVR Events to plugin 1.5.4

Updated LSVR Documents plugin to 1.4.2

Updated LSVR Elements plugin to 1.2.3

Updated WPBakery Page Builder plugin to 5.7

Updated documentation

Various small fixes

Changed files: style.css, style.scss, rtl.css, editor-style.scss, editor-style.css, editor-style.rtl,css, languages, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, template-parts/lsvr_document/archive-layout-default.php, inc/actions.php, inc/customizer-config.php, inc/frontend-functions.php, inc/metaboxes-config.php, inc/lsvr-documents/lsvr-documents.php, inc/lsvr-documents/frontend-functions.php, inc/lsvr-documents/customizer-config.php, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-events.zip

------------------------------

v1.7.3

Fixed issue with "every Xth weekday" event occurrence pattern. Please resave any event posts which are using this pattern after you update the LSVR Events plugin.

Added support for title attribute for the header menu.

Added "default" value for document archive order option.

Updated LSVR Framework to 1.4.1

Updated LSVR Events to 1.5.3

Updated documentation

Various small fixes

Changed files: style.css, style.scss, editor-style.scss, assets/css/skins, inc/classes/lsvr-pressville-header-menu-walker.php, inc/lsvr-documents/actions.php, inc/lsvr-documents/customizer-config.php, inc/lsvr-documents/lsvr-documents.php, inc/tgm-settings.php, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-events.zip

------------------------------

v1.7.2

The event location name is now displayed on the event detail page near the address

Fixed issue with geocoding addresses for directory listings and event locations

Fixed issue with Gutenberg Gallery block images not opening in a lightbox

Various small fixes

Updated LSVR Directory plugin to 1.4.2

Updated LSVR Elements plugin to 1.2.2

Updated LSVR Events plugin to 1.5.2

Updated documentation

Changed files: style.css, style.scss, single.php, single-lsvr_event.php, assets/css/skins, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/lsvr-directory/actions.php, inc/tgm-settings.php, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-events.zip

------------------------------

v1.7.1

Fixed issue with metaboxes for non-gutenberg users. If you are not using Gutenberg, make sure to enable "Gutenberg is disabled" option under Appearance / Customize / Misc

Fixed issue with missing categories and tags for LSVR post types in Gutenberg

Updated LSVR Pressville Theme Toolkit plugin to 1.5.1

Updated LSVR Notices plugin to 1.3.1

Updated LSVR Directory plugin to 1.4.1

Updated LSVR Events plugin to 1.5.1

Updated LSVR Galleries plugin to 1.4.1

Updated LSVR Documents plugin to 1.4.1

Updated LSVR People plugin to 1.4.1

Changed files: style.css, style.scss, inc/actions.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-people.zip

------------------------------

v1.7.0

The theme is now fully optimized for the new Gutenberg block editor (the native content editor in WordPress 5.0). We highly recommend to update to WordPress 5.0 and switch your content to Gutenberg as soon as possible. If you are not ready yet, then install the Classic Editor plugin (https://wordpress.org/plugins/classic-editor/) and go to Appearance / Customize / Misc and enable "Gutenberg Is Disabled" option (don't forget to turn it off once you switch to Gutenberg).

Please note that if you've already built pages in Gutenberg with the previous version, all Pressville and LSVR blocks will have to be re-inserted once you update to this newest version.

If you are not using the Gutenberg editor, you may notice that position of some metaboxes (for example Sidebar Settings) have changed. Simply drag and drop them to the old position (or any other position you like).

If you are using the default (Red & Blue) predefined color scheme, then once you update the theme, go to Appearance / Customize / Colors, make sure the "Choose Predefined Skin" is set to "Default" and save your settings. If you are having any issues with the color scheme, try to switch to any other scheme, save it and then switch back to "Default" and save it again.

Locating directory listings on map via address method should now be more reliable (make sure to check your Google Maps API settings under your Google account).

Since the Gutenberg block editor is now the preferred content editor, the WPBakery Page Builder is no more included within the installable pressville.zip file. The WPBakery Page Builder is still supported though and you will find its installation .zip in the full package which you can download from your ThemeForest account (unzip it and go to Plugins folder where you will find js_composer.zip).

Updated the demo data - please note that posts and pages demo data were created using the Gutenberg. Old (WPBakery Page Builder based) demo data is provided as well, you will find it in the full package / Legacy / VC demo data.

Tailor Page Builder is no longer supported

Updated the documentation

Various small fixes

Updated LSVR Pressville Theme Toolkit plugin to 1.5.0

Updated LSVR Elements plugin to 1.2.1

Updated LSVR Framework plugin to 1.4.0

Updated LSVR Notices plugin to 1.3.0

Updated LSVR Directory plugin to 1.4.0

Updated LSVR Events plugin to 1.5.0

Updated LSVR Galleries plugin to 1.4.0

Updated LSVR Documents plugin to 1.4.0

Updated LSVR People plugin to 1.4.0

Updated Child Theme to 1.1.0

Changed files: style.css, style.scss, functions.php, assets/css/skins, inc/actions.php, inc/customizer-config.php, inc/core-functions.php, inc/tgm-settings.php, inc/custom-colors-template.php, inc/demo-import-config.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-people.zip

New files: editor-style.css, editor-style.scss, editor-style.rtl.css, inc/editor-custom-colors-template.php

------------------------------

v1.6.1

Added following new LSVR elements:
LSVR Button
LSVR CTA
LSVR Pricing Table

Support for the Tailor Page Builder plugin is now deprecated (the plugin itself was discontinued a year ago) and will be removed in the future updates, please switch to either WPBakery Page Builder or to Gutenberg block editor (WordPress 5.0 core editor - recommended)

Pressville Widgets element is now deprecated, please use Pressville Sidebar element instead

Updated LSVR Elements plugin to 1.1.0

Updated LSVR Framework plugin to 1.3.2

Updated WPBakery Page Builder plugin to 5.6

Changed files: style.css, style.scss, rtl.css, assets/css/skins, inc/custom-colors-template.php, inc/tgm-settings.php, inc/plugins/lsvr-elements.zip, inc/plugins/lsvr-framework.zip, inc/plugins/js_composer.zip

------------------------------

v1.6.0

Added support for new Gutenberg editor. Only standard posts and regular pages are currently supported though. All Pressville and LSVR elements available in WPBakery Page Builder are now available in Gutenberg editor as well. Please note that since the WordPress 5.0 (which will include Gutenberg in the core) is still not released and the Gutenberg plugin itself is still under constant development, consider this functionality to be in a beta. The WPBakery Page Builder is still a preferred method to built your pages.

Added LSVR Elements plugin which contains bunch of new widgets and shortcodes:
LSVR Definition List widget
LSVR Featured Post widget
LSVR Posts widget
LSVR Alert Message shortcode
LSVR Counter shortcode
LSVR Definition List Widget shortcode
LSVR Feature shortcode
LSVR Featured Post Widget shortcode
LSVR Posts Widget shortcode
LSVR Progress Bar shortcode
lsvr_icon shortcode
All shortcodes (except lsvr_icon) are available as elements in both the WPBakery Page Builder and new Gutenberg editor.

Pressville Posts widget, Pressville Featured Post widget, Presville Post List Widget shortcode and lsvr_pressville_icon shortcode are now DEPRECATED and will be removed in the future updates. Please use LSVR Posts widget, LSVR Featured Post widget, LSVR Posts Widget shortcode and lsvr_icon shortcode instead.

Added an error message for the listing post to display any potential error returned from the Google API when you are saving the listing and using the Exact Address option. Please note, that since the recent updates to the Google API, your old API keys may not work anymore. However, using the latitude and longitude options instead of the exact address is the most safest way to locate your listings on the map.

Fixed issue with inconsistent formatting of event info on event detail page

Fixed bug with topbar background color on mobile devices when using a custom colors

Changed the Directory admin menu icon

Updated the RTL version

Updated the documentation

Various small fixes

Updated LSVR Pressville Toolkit plugin to 1.4.0

Updated LSVR Framework plugin to 1.3.1

Updated LSVR Notices plugin to 1.2.1

Updated LSVR Directory plugin to 1.3.1

Updated LSVR Events plugin to 1.4.1

Updated LSVR Galleries plugin to 1.3.1

Updated LSVR Documents plugin to 1.3.1

Updated LSVR People plugin to 1.3.1

Changed files: style.css, style.scss, rtl.css, assets/css/skins, inc/actions.php, inc/lsvr-galleries/frontend-functions.php, inc/lsvr-events/lsvr-events.php, inc/custom-colors-template.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-framework.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-people.zip

New files: inc/plugins/lsvr-elements.zip

------------------------------

v1.5.8

Fixed bug with incorrectly displayed start and end times for some recurring events. After you update the LSVR Events to 1.3.4, go to Tools / Regen. Events and click "Regenerate" button

Updated LSVR Events plugin to 1.3.4

Changed files: style.css, style.scss, inc/lsvr-events/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-events.php

------------------------------

v1.5.7

You can now access events archive using the URL parameters like this:
yoursite.com/events/?period=past&order=desc

Updated LSVR Framework to 1.2.1

Updated LSVR Galleries plugin to 1.2.3

Updated WPBakery Page Builder to 5.5.5

Various small fixes

Changed files: style.css, style.scss, inc/lsvr-events.php/lsvr-events.php, inc/lsvr-galleries/frontend-functions.php, inc/plugins/js_composer.zip, inc/plugins/lsvr-framework.php, inc/plugins/lsvr-galleries.php

------------------------------

v1.5.6

Fixed bug with directory map location boxes not closing properly

Changed files: style.css, style.scss, assets/js/marketcluster.min.js, assets/pressville-ajax-directory-map.js, assets/pressville-ajax-directory-map.min.js

------------------------------

v1.5.5

Fixed bug with directory map location boxes sometimes not displaying correctly

Further WPML compatibility improvements

Updated LSVR Directory plugin to 1.2.3

Updated LSVR Documents plugin to 1.2.3

Updated LSVR Notices plugin to 1.1.3

Updated LSVR Pressville Toolkit plugin to 1.3.5

Updated WPBakery Page Builder to 5.5.4

Changed files: style.css, style.scss, single.php, assets/js/infobox.min.js, assets/pressville-ajax-directory-map.js, assets/pressville-ajax-directory-map.min.js, inc/lsvr-directory/ajax-directory-map.php, inc/frontend-functions.php, inc/core-functions.php, inc/tgm-settings.php, inc/plugins/js_composer.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-pressville-toolkit.zip

------------------------------

v1.5.4

Improvements to LSVR plugins compatibility with WPML

Updated LSVR Directory plugin to 1.2.2

Updated LSVR Documents plugin to 1.2.2

Updated LSVR Galleries plugin to 1.2.2

Updated LSVR Notices plugin to 1.1.2

Updated LSVR People plugin to 1.2.2

Updated LSVR Pressville Toolkit plugin to 1.3.4

Changed files: style.css, style.scss, inc/lsvr-directory/lsvr-directory.php, inc/lsvr-documents/lsvr-documents.php, inc/tgm-settings.php, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-notices.zip, inc/plugins/lsvr-people.zip, inc/plugins/lsvr-pressville-toolkit.zip

------------------------------

v1.5.3

Added new event occurrence pattern: "every last [weekday]"

Added Pressville Post List Widget shortcode/element

Updated LSVR Events plugin to 1.3.2

Updated LSVR Pressville Toolkit plugin to 1.3.3

Changed files: style.css, style.scss, languages, inc/lsvr-events/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-events.zip

------------------------------

v1.5.2

Fixed issue with some elements/shortcodes still display icon and more link even if those fields were blank. Please check all your Pressville elements/shortcodes after the update if "Icon Class" and "More Button Label" fields are set correctly.

Updated LSVR Pressville Theme Toolkit plugin to 1.3.2

Updated WPBakery Page Builder to 5.5.2

Changed files: style.css, style.scss, inc/tgm-settings.php, inc/plugins/lsvr-townpress-toolkit.php, inc/plugins/js_composer.php

------------------------------

v1.5.1

Further improvements to LSVR Events WPML compatibility

Fixed issue with LSVR plugins when they may not function properly on some WP installations

Updated LSVR Pressville Theme Toolkit plugin to 1.3.1

Updated LSVR Directory plugin to 1.2.1

Updated LSVR Documents plugin to 1.2.1

Updated LSVR Events plugin to 1.3.1

Updated LSVR Galleries plugin to 1.2.1

Updated LSVR Notices plugin to 1.1.1

Updated LSVR People plugin to 1.2.1

Changed files: style.css, style.scss, inc/lsvr-events/actions.php, inc/tgm-settings.php, inc/plugins/lsvr-townpress-toolkit.php, inc/plugins/lsvr-directory.php, inc/plugins/lsvr-documents.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-galleries.php, inc/plugins/lsvr-notices.php, inc/plugins/lsvr-people.php

------------------------------

v1.5.0

Various code changes to the theme and all LSVR plugins to comply with the latest Envato WP theme requirements

Updated LSVR Pressville Theme Toolkit plugin to 1.3.0

Updated LSVR Framework plugin to 1.2.0

Updated LSVR Directory plugin to 1.2.0

Updated LSVR Documents plugin to 1.2.0

Updated LSVR Events plugin to 1.3.0

Updated LSVR Galleries plugin to 1.2.0

Updated LSVR Notices plugin to 1.1.0

Updated LSVR People plugin to 1.2.0

Changed files: style.css, style.scss, inc/actions.php, inc/lsvr-events/lsvr-events.php, inc/lsvr-directory/lsvr-directory.php, inc/tgm-settings.php, inc/plugins/lsvr-townpress-toolkit.php, inc/plugins/lsvr-framework.php, inc/plugins/lsvr-directory.php, inc/plugins/lsvr-documents.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-galleries.php, inc/plugins/lsvr-notices.php, inc/plugins/lsvr-people.php

------------------------------

v1.4.6

Improved compatibility with WPML for LSVR Events plugin

Updated LSVR Events plugin to 1.2.6

Changed files: style.css, style.scss, inc/plugins/lsvr-events.zip

------------------------------

v1.4.5

Fixed issue with demo importer placeholder images

Fixed bug with missing header slideshow speed option

Changed files: style.css, style.scss, inc/customizer-config.php, inc/core-functions.php, inc/frontend-functions.php, inc/demo-import

------------------------------

v1.4.4

Added option to enable header slideshow for homepage only

Updated LSVR Events plugin to 1.2.5

Updated Envato Market plugin to 2.0.0

Various small fixes

Changed files: style.css, style.scss, wpml.xml, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/frontend-functions.php, inc/customizer-config.php, inc/lsvr-person/frontend-functions.php, inc/tgm-settings.php, inc/plugins/envato-market.zip, languages

------------------------------

v1.4.3

Updated WPBakery Page Builder (formerly Visual Composer) to 5.4.7

Changed files: style.css, style.scss, inc/tgm-settings.php, includes/plugins/js_composer.zip

------------------------------

v1.4.2

Various small fixes

Updated LSVR Framework plugin to 1.1.5

Updated LSVR Events plugin to 1.2.4

Updated LSVR Documents plugin to 1.1.4

Changed files: style.css, style.scss, inc/tgm-settings.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-documents.php, inc/plugins/lsvr-framework.php

------------------------------

v1.4.1

Fixed issues with DST in recurring events

Fixed custom colors functionality for bbPress forums and Pressville Weather widget

Various small fixes

Updated LSVR Events plugin to 1.2.3

Updated LSVR Directory plugin to 1.1.3

Changed files: style.css, style.scss, functions.php, inc/custom-colors-template.php, inc/tgm-settings.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-directory.php

------------------------------

v1.4.0

Added support for LSVR Notices plugin and added the plugin itself

Added Pressville Weather widget. Don't forget to add your OpenWeatherMap.org API key under Customizer / Misc

Added bbPress plugin integration

Events can now repeat in "every Xth [week day]" pattern. For example: every second Tuesday, every first Friday, etc.

Added option to hide gallery images count. For the gallery archive page it is managed under Customizer / Galleries with "Display Image Count on Archive" options. For LSVR Galleries and LSVR Featured Gallery widgets/elements it is set by "Display Image Count" option found in widget's settings. Please re-save settings for any instances of those two widgets you are using once you update the LSVR Galleries plugin.

Document post attachments can be now displayed by their titles. You can enable this functionality for document post archive and document post detail pages under Customizer / Documents using "Display Attachment Titles" option. Attachment titles can be edited under Media. You can enable this functionality for LSVR Featured Document and LSVR Attachments widgets/element via their own "Display Attachment Titles" checkboxes. This applies only to local attachments.

Added option to hide attachments count for LSVR Documents widget/element. Please re-save settings for any instances of this widget you are using once you update the LSVR Documents plugin.

Added a new page template - "Default w/o Title"

Improvements to Pressville Container element. Added options for top and bottom margins.

Various small fixes

Updated LSVR Pressville Theme Toolkit plugin to 1.2.0

Updated LSVR Framework plugin to 1.1.4

Updated LSVR Directory plugin to 1.1.2

Updated LSVR Events plugin to 1.2.1

Updated LSVR Documents plugin to 1.1.3

Updated LSVR Galleries plugin to 1.1.1

Updated LSVR People plugin to 1.1.1

Updated documentation

Changed files: style.css, style.scss, functions.php, assets/fonts, assets/css/skins, template-parts/blog/archive-layout-default.php, template-parts/blog/archive-layout-grid.php, inc/customizer-config.php, inc/lsvr-events/frontend-functions.php, inc/lsvr-galleries/customizer-config.php, inc/lsvr-documents/customizer-config.php, inc/lsvr-documents/frontend-functions.php, inc/lsvr-documents/classes/lsvr-pressville-document-categorized-attachments.php, template-parts/blog/archive-header.php, emplate-parts/lsvr_gallery/archive-layout-default.php, template-parts/lsvr_gallery/archive-layout-grid.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.php, inc/plugins/lsvr-pressville-framework.php, inc/plugins/lsvr-pressville-directory.php, inc/plugins/lsvr-pressville-events.php, inc/plugins/lsvr-pressville-galleries.php, inc/plugins/lsvr-pressville-documents.php, inc/plugins/lsvr-pressville-people.php

New files: bbpress.php, archive-lsvr_notice.php, single-lsvr_notice.php, taxonomy-lsvr_notice_cat.php, taxonomy-lsvr_notice_tag.php, page-templates/default-without-title.php, inc/bbpress, inc/lsvr-notices, template-parts/lsvr_notice, inc/plugins/lsvr-notices.php

------------------------------

v1.3.1

The directory listing phone number is now displayed as a link

Added a fax field for directory listing contact info

Added a new element - Pressville Container. A simple container with a max width aligned to the content of the page. It should be used only in fullwidth templates if needed.

Various small fixes

Updated LSVR Pressville Theme Toolkit plugin to 1.1.1

Updated LSVR Framework plugin to 1.1.1

Updated LSVR Directory plugin to 1.1.1

Updated LSVR Events plugin to 1.1.1

Changed files: style.css, style.scss, assets/fonts, inc/lsvr-directory/lsvr-directory.php, inc/lsvr-directory/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-directory.php, inc/plugins/lsvr-framework.php, inc/plugins/lsvr-pressville-toolkit.php

------------------------------

v1.3.0

LSVR Directory, LSVR Featured Listing, LSVR Documents, LSVR Featured Document, LSVR Document Attachments, LSVR Events, LSVR Featured Event, LSVR Galleries, LSVR Featured Gallery, LSVR People and LSVR Featured Person widgets are now available as page builder elements, so you can easily place them into a page or post content.

Updated LSVR Pressville Theme Toolkit plugin to 1.1.0

Updated LSVR Directory plugin to 1.1.0

Updated LSVR Events plugin to 1.1.0

Updated LSVR Galleries plugin to 1.1.0

Updated LSVR Documents plugin to 1.1.0

Updated LSVR People plugin to 1.1.0

Updated LSVR Framework plugin to 1.1.0

Updated WPBakery Page Builder (formerly Visual Composer) to 5.4.5

Updated documentation

Various small fixes

Changed files: style.css, style.scss, assets/css/skins, inc/tgm-settings.php, inc/plugins/js_composer.php, inc/plugins/lsvr-directory.php, inc/plugins/lsvr-documents.php, inc/plugins/lsvr-events.php, inc/plugins/lsvr-galleries.php, inc/plugins/lsvr-people.php, inc/plugins/lsvr-framework.php, inc/plugins/lsvr-pressville-toolkit.php

------------------------------

v1.2.0

Tailor plugin is now discontinued (https://medium.com/tailor-page-builder/end-of-tailor-rise-of-gutenberg-6b4c59431f99) so it is not recommended to use it anymore. The recommended page builder plugin for Pressville is now Visual Composer. Its bundled version was now added to the theme. However, since the bundled premium plugins have some limitations (and that's the same for all themes that bundle them), I recommend you to buy your own license if you want to use this plugin. More info about the bundled plugins: https://help.market.envato.com/hc/en-us/articles/213762463-Bundled-Plugins

Footer Social links are now opened in a new tab

Updated documentation

Various small fixes

Changed files: style.css, style.scss, inc/tgm-settings.php, inc/frontend-functions.php, inc/lsvr-directory.php/customizer-config.php, inc/plugins/js_composer.php
Removed files: inc/plugins/tailor.php

------------------------------

v1.1.1

Updated LSVR Pressville Theme Toolkit plugin to 1.0.3

Updated LSVR Directory plugin to 1.0.3

Small changes to the style and markup of LSVR Directory widget - please resave your widgets after the update

Please re-insert the LSVR Featured Directory Listing widget after this update if you are using it in any of your sidebars

Updated LSVR Events plugin to 1.0.4

Small changes to the style and markup of LSVR Events and LSVR Featured Event widgets - please resave your widgets after the update

LSVR Events widget has now option to display a bold date instead of post thumbnail

Added LSVR Event Filter widget

Updated LSVR Galleries plugin to 1.0.2

Small changes to the style and markup of LSVR Galleries and LSVR Featured Gallery widgets - please resave your widgets after the update

Updated LSVR Documents plugin to 1.0.5

Small changes to the style and markup of LSVR Documents widget - please resave your widgets after the update

Updated LSVR Framework plugin to 1.0.2

Updated Tailor to 1.8.1

Various small fixes

Changed files: style.css, style.scss, rtl.css, single-lsvr_event.php, assets/css/skins, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/custom-colors-template.php, inc/core-functions.php, inc/frontend-functions.php, inc/lsvr-directory/frontend-functions.php, inc/lsvr-events.php/lsvr-events.php, template-parts/lsvr_listing/archive-header.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-framework.zip

------------------------------

v1.1.0

Added support for Visual Composer plugin. All theme's elements are now available as Visual Composer elements (for example Pressville Directory, Pressville Events, etc.)
Please note that the plugin itself is NOT included. You will have to purchase your own license if you want to use it.

Fixed bug with header background opacity

Updated LSVR Pressville Theme Toolkit to 1.0.2

Various small fixes

Changed files: style.css, style.scss, inc/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip

opravit lsvr_townpress_get_breadcrumbs funkciu na kocni prehodit filter a tax, pozriet v townpresse

------------------------------

v1.0.9

LSVR Documents and LSVR Document Attachments widget now have a "Tags" filter option

LSVR Gallery post image title is now correctly displayed in lightbox view

Updated LSVR Documents plugin to 1.0.4

Changed files: style.css, style.scss, inc/galleries/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-documents.zip

------------------------------

v1.0.8

Added RTL support

Added back to top button (you can enable it under Customizer / Misc )

Fixed bug with listing tag taxonomy archive map displaying all listings instead of only relevant ones

Fixed bug with header image animation

Updated LSVR Directory plugin to 1.0.2

Updated LSVR Documents plugin to 1.0.3

Updated LSVR Events plugin to 1.0.3

Updated LSVR Framework plugin to 1.0.1

Updated Child theme to 1.0.2

Changed files: style.css, style.scss, footer.php, languages, assets/css/skins, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js, inc/custom-colors-template.php, inc/customizer-config.php, inc/frontend-functions.php, inc/tgm-settings.php, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-framework.zip

New files: rtl.css

------------------------------

v1.0.7

Tailor plugin is now bundled with the theme

Changed files: style.css, style.scss, inc/tgm-settings.php,

New files: inc/plugins/tailor.zip

------------------------------

v1.0.6

Fixed bug with sidebars on standard pages

Improved compatibility with 3rd party plugins which use Google Maps API

Changed files: style.css, style.scss, inc/core-functions.php, assets/js/pressville-scripts.js, assets/js/pressville-scripts.min.js

------------------------------

v1.0.5

Fixed conflict with some 3rd party plugins which use Google Maps API

Changed files: style.css, style.scss, inc/lsvr-directory/actions.php, assets/js/pressville-ajax-directory-map.js, assets/js/pressville-ajax-directory-map.min.js

------------------------------

v1.0.4

Fixed bug with event address schema.org metadata

Added thumb_size and excluded_categories parameters to lsvr_pressville_posts shortcode

Updated LSVR Pressville Theme Toolkit plugin to 1.0.1

Updated documentation

Changed files: style.css, style.scss, inc/lsvr-events/actions.php, inc/lsvr-events/lsvr-events.php, inc/tgm-settings.php, inc/plugins/lsvr-pressville-toolkit.zip

------------------------------

v1.0.3

Attachments in password protected document posts are now hidden

Fixed bug with person posts category archive not displaying all person posts

Updated LSVR Documents plugin to 1.0.2

Changed files: style.css, style.scss, single-lsvr_document.php, assets/css/skins, inc/core-functions.php, inc/custom-colors-template.php, inc/tgm-settings.php, inc/lsvr_documents/actions.php, inc/lsvr_documents/lsvr-documents.php, inc/lsvr_documents/classes/lsvr-pressville-document-categorized-attachments.php, inc/plugins/lsvr-documents.zip, template-parts/lsvr_documents/archive-layout-default.php

------------------------------

v1.0.2

Fixed issue with LSVR Events plugin not creating events properly on some DB configurations

Fixed issue with LSVR Events plugin not deleting event occurrences after trashing the event post

Updated LSVR Events plugin to 1.0.2

Changed files: style.css, style.scss, inc/tgm-settings.php, inc/plugins/lsvr-events.zip

------------------------------

v1.0.1

Fixed issue with PHP 7.1

Fixed minor translation issues

Added Slovak localization for Pressville theme and all LSVR plugins

Updated LSVR Directory, LSVR Events, LSVR Galleries, LSVR Documents and LSVR People plugins to 1.0.1

Changed files: style.css, style.scss, inc/tgm-settings.php, languages/sk_SK.po, languages/sk_SK.mo, inc/plugins/lsvr-directory.zip, inc/plugins/lsvr-events.zip, inc/plugins/lsvr-galleries.zip, inc/plugins/lsvr-documents.zip, inc/plugins/lsvr-people.zip

------------------------------

v1.0.0

Initial ThemeForest release